/*
Description: The stylesheet with a main responsive style.
Author:      Cherry Team
Version:     1.0.0
*/
@media screen and (-webkit-min-device-pixel-ratio: 0) {
  input[type="date"],
  input[type="time"],
  input[type="datetime-local"],
  input[type="month"] {
    line-height: 34px;
  }

  input[type="date"].input-sm,
  input[type="time"].input-sm,
  input[type="datetime-local"].input-sm,
  input[type="month"].input-sm {
    line-height: 30px;
  }

  input[type="date"].input-lg,
  input[type="time"].input-lg,
  input[type="datetime-local"].input-lg,
  input[type="month"].input-lg {
    line-height: 46px;
  }
}
@media (min-width: 768px) {
  .form-inline .form-group {
    display: inline-block;
    margin-bottom: 0;
    vertical-align: middle;
  }
  .form-inline .form-control {
    display: inline-block;
    width: auto;
    vertical-align: middle;
  }
  .form-inline .form-control-static {
    display: inline-block;
  }
  .form-inline .input-group {
    display: inline-table;
    vertical-align: middle;
  }
  .form-inline .input-group .input-group-addon,
  .form-inline .input-group .input-group-btn,
  .form-inline .input-group .form-control {
    width: auto;
  }
  .form-inline .input-group > .form-control {
    width: 100%;
  }
  .form-inline .control-label {
    margin-bottom: 0;
    vertical-align: middle;
  }
  .form-inline .radio,
  .form-inline .checkbox {
    display: inline-block;
    margin-top: 0;
    margin-bottom: 0;
    vertical-align: middle;
  }
  .form-inline .radio label,
  .form-inline .checkbox label {
    padding-left: 0;
  }
  .form-inline .radio input[type="radio"],
  .form-inline .checkbox input[type="checkbox"] {
    position: relative;
    margin-left: 0;
  }
  .form-inline .has-feedback .form-control-feedback {
    top: 0;
  }
}

@media (min-width: 768px) {
  .form-horizontal .control-label {
    text-align: right;
    margin-bottom: 0;
    padding-top: 7px;
  }
}
@media (min-width: 768px) {
  .form-horizontal .form-group-lg .control-label {
    padding-top: 14.3px;
  }
}
@media (min-width: 768px) {
  .form-horizontal .form-group-sm .control-label {
    padding-top: 6px;
  }
}

@media (max-width: 768px) {
  ol.comment-list li.comment ol.children {
    padding-left: 15px;
  }
}

@media (max-width: 767px) {
  .table-responsive {
    width: 100%;
    overflow-y: hidden;
    overflow-x: scroll;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    -webkit-overflow-scrolling: touch;
  }
  .table-responsive > .table {
    margin-bottom: 0;
  }
  .table-responsive > .table > thead > tr > th,
  .table-responsive > .table > thead > tr > td,
  .table-responsive > .table > tbody > tr > th,
  .table-responsive > .table > tbody > tr > td,
  .table-responsive > .table > tfoot > tr > th,
  .table-responsive > .table > tfoot > tr > td {
    white-space: nowrap;
  }
  .table-responsive > .table-bordered {
    border: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:first-child,
  .table-responsive > .table-bordered > thead > tr > td:first-child,
  .table-responsive > .table-bordered > tbody > tr > th:first-child,
  .table-responsive > .table-bordered > tbody > tr > td:first-child,
  .table-responsive > .table-bordered > tfoot > tr > th:first-child,
  .table-responsive > .table-bordered > tfoot > tr > td:first-child {
    border-left: 0;
  }
  .table-responsive > .table-bordered > thead > tr > th:last-child,
  .table-responsive > .table-bordered > thead > tr > td:last-child,
  .table-responsive > .table-bordered > tbody > tr > th:last-child,
  .table-responsive > .table-bordered > tbody > tr > td:last-child,
  .table-responsive > .table-bordered > tfoot > tr > th:last-child,
  .table-responsive > .table-bordered > tfoot > tr > td:last-child {
    border-right: 0;
  }
  .table-responsive > .table-bordered > tbody > tr:last-child > th,
  .table-responsive > .table-bordered > tbody > tr:last-child > td,
  .table-responsive > .table-bordered > tfoot > tr:last-child > th,
  .table-responsive > .table-bordered > tfoot > tr:last-child > td {
    border-bottom: 0;
  }
}

@media (min-width: 768px) {
  .dl-horizontal dt {
    float: left;
    width: 160px;
    clear: left;
    text-align: right;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .dl-horizontal dd {
    margin-left: 180px;
  }
}

@-ms-viewport {
  width: device-width;
}
.visible-xs, .visible-sm, .visible-md, .visible-lg {
  display: none !important;
}

.visible-xs-block,
.visible-xs-inline,
.visible-xs-inline-block,
.visible-sm-block,
.visible-sm-inline,
.visible-sm-inline-block,
.visible-md-block,
.visible-md-inline,
.visible-md-inline-block,
.visible-lg-block,
.visible-lg-inline,
.visible-lg-inline-block {
  display: none !important;
}

@media (max-width: 767px) {
  .visible-xs {
    display: block !important;
  }

  table.visible-xs {
    display: table;
  }

  tr.visible-xs {
    display: table-row !important;
  }

  th.visible-xs,
  td.visible-xs {
    display: table-cell !important;
  }
}
@media (max-width: 767px) {
  .visible-xs-block {
    display: block !important;
  }
}

@media (max-width: 767px) {
  .visible-xs-inline {
    display: inline !important;
  }
}

@media (max-width: 767px) {
  .visible-xs-inline-block {
    display: inline-block !important;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm {
    display: block !important;
  }

  table.visible-sm {
    display: table;
  }

  tr.visible-sm {
    display: table-row !important;
  }

  th.visible-sm,
  td.visible-sm {
    display: table-cell !important;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm-block {
    display: block !important;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm-inline {
    display: inline !important;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .visible-sm-inline-block {
    display: inline-block !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md {
    display: block !important;
  }

  table.visible-md {
    display: table;
  }

  tr.visible-md {
    display: table-row !important;
  }

  th.visible-md,
  td.visible-md {
    display: table-cell !important;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md-block {
    display: block !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md-inline {
    display: inline !important;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .visible-md-inline-block {
    display: inline-block !important;
  }
}

@media (min-width: 1200px) {
  .visible-lg {
    display: block !important;
  }

  table.visible-lg {
    display: table;
  }

  tr.visible-lg {
    display: table-row !important;
  }

  th.visible-lg,
  td.visible-lg {
    display: table-cell !important;
  }
}
@media (min-width: 1200px) {
  .visible-lg-block {
    display: block !important;
  }
}

@media (min-width: 1200px) {
  .visible-lg-inline {
    display: inline !important;
  }
}

@media (min-width: 1200px) {
  .visible-lg-inline-block {
    display: inline-block !important;
  }
}

@media (max-width: 767px) {
  .hidden-xs {
    display: none !important;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .hidden-sm {
    display: none !important;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .hidden-md {
    display: none !important;
  }
}
@media (min-width: 1200px) {
  .hidden-lg {
    display: none !important;
  }
}
.visible-print {
  display: none !important;
}

@media print {
  .visible-print {
    display: block !important;
  }

  table.visible-print {
    display: table;
  }

  tr.visible-print {
    display: table-row !important;
  }

  th.visible-print,
  td.visible-print {
    display: table-cell !important;
  }
}
.visible-print-block {
  display: none !important;
}
@media print {
  .visible-print-block {
    display: block !important;
  }
}

.visible-print-inline {
  display: none !important;
}
@media print {
  .visible-print-inline {
    display: inline !important;
  }
}

.visible-print-inline-block {
  display: none !important;
}
@media print {
  .visible-print-inline-block {
    display: inline-block !important;
  }
}

@media print {
  .hidden-print {
    display: none !important;
  }
}
@media (min-width: 768px) {
  .site-header.boxed,
  .site-content.boxed,
  .site-footer.boxed {
    max-width: 750px;
  }
}
@media (min-width: 992px) {
  .site-header.boxed,
  .site-content.boxed,
  .site-footer.boxed {
    max-width: 970px;
  }
}
@media (min-width: 1200px) {
  .site-header.boxed,
  .site-content.boxed,
  .site-footer.boxed {
    max-width: 1170px;
  }
}
@media (min-width: 768px) {
  .site-header.extra-boxed,
  .site-content.extra-boxed,
  .site-footer.extra-boxed {
    max-width: 780px;
  }
}
@media (min-width: 992px) {
  .site-header.extra-boxed,
  .site-content.extra-boxed,
  .site-footer.extra-boxed {
    max-width: 1000px;
  }
}
@media (min-width: 1200px) {
  .site-header.extra-boxed,
  .site-content.extra-boxed,
  .site-footer.extra-boxed {
    max-width: 1200px;
  }
}

.entry-content .container .container {
  width: auto;
}

@media (min-width: 992px) {
  .sidebar-sidebar-content-wrapper,
  .sidebar-content-sidebar-wrapper,
  .content-sidebar-sidebar-wrapper {
    width: 80%;
  }

  .sidebar-content-sidebar-wrapper,
  .sidebar-sidebar-content-wrapper {
    float: right;
  }

  .content-sidebar-sidebar-wrapper {
    float: left;
  }

  .sidebar-content-wrapper #primary,
  .content-sidebar-wrapper #primary,
  .sidebar-sidebar-content-wrapper #primary,
  .sidebar-content-sidebar-wrapper #primary,
  .content-sidebar-sidebar-wrapper #primary {
    width: 75%;
  }

  .sidebar-content-wrapper #primary,
  .sidebar-sidebar-content-wrapper #primary {
    float: right;
  }

  .content-sidebar-wrapper #primary,
  .content-sidebar-sidebar-wrapper #primary,
  .sidebar-content-sidebar-wrapper #primary {
    float: left;
  }

  .sidebar-content-wrapper .widget-area,
  .sidebar-sidebar-content-wrapper .widget-area {
    float: left;
    width: 23%;
  }

  .content-sidebar-wrapper .widget-area,
  .content-sidebar-sidebar-wrapper .widget-area,
  .sidebar-content-sidebar-wrapper .widget-area {
    float: right;
    width: 23%;
  }

  .sidebar-sidebar-content-wrapper + .widget-area,
  .sidebar-content-sidebar-wrapper + .widget-area {
    float: left;
    width: 18%;
  }

  .content-sidebar-sidebar-wrapper + .widget-area {
    float: right;
    width: 18%;
  }

  .cherry-with-sidebar .content-area .container {
    width: 80%;
  }
}
@media (max-width: 1500px) {
  .fullwidth-post .post-item .content .post-excerpt {
    padding: 0 20px;
  }

  .static-search-form {
    margin-bottom: -50px;
  }
}
@media (min-width: 767px) and (max-width: 2500px) {
  #menu-primary .cherry-mega-menu-mobile-close {
    display: none;
  }
}
@media (min-width: 767px) {
  #menu-primary .cherry-mega-menu-mobile-close {
    display: none;
  }
}
@media (max-width: 1500px) {
  .motoslider_wrapper .ms_slide .slogan {
    top: 200px !important;
  }
  .motoslider_wrapper .ms_slide .caption {
    max-width: 100%;
    margin: 0;
    transform: translateY(-50%) translateX(-50%);
    left: 50% !important;
  }
}
@media (min-width: 991px) and (max-width: 1350px) {
  .fullwidth-post .post-item .content .post-excerpt {
    display: none;
  }
  .fullwidth-post .post-item .content .post-title {
    padding: 0 20px;
  }
}
@media (max-width: 1200px) {
  .sidebar-content-wrapper .fullwidth-post .post-item .content .post-title,
  .content-sidebar-wrapper .fullwidth-post .post-item .content .post-title,
  .sidebar-content-sidebar-wrapper .fullwidth-post .post-item .content .post-title,
  .sidebar-sidebar-content-wrapper .fullwidth-post .post-item .content .post-title,
  .content-sidebar-sidebar-wrapper .fullwidth-post .post-item .content .post-title {
    font-size: 16px;
    line-height: 20px;
  }

  #header * + .area_wrapper::before {
    bottom: 28px;
    width: 60%;
  }

  .motoslider_wrapper .ms_pagination {
    bottom: 20px;
  }
  .motoslider_wrapper .ms_slide .slogan {
    display: none;
  }

  #menu-primary-items > .menu-item + .menu-item {
    margin-left: 61px;
  }
}
@media (max-width: 992px) {
  .related-posts .related-posts_list .related-posts_item {
    width: 100%;
  }
  .related-posts .related-posts_list .related-posts_item img {
    width: 100%;
  }

  .counter-wrap div[class^="col-"]::after {
    display: none;
  }

  .error-404-num {
    font-size: 11em;
  }

  .portfolio-wrap .portfolio-container .list-layout-item .inner-wrap .table-display .links-container {
    top: 0;
  }

  #menu-primary-items .megamenu-banner-wrap {
    padding: 50px;
  }

  .static-header-menu {
    text-align: center;
  }
  .static-header-menu #menu-primary {
    display: inline-block;
  }
  .static-header-menu #menu-primary-items {
    float: none;
  }

  h2 {
    font-size: 52px !important;
    line-height: 64px !important;
  }

  #header h2 {
    line-height: 12px !important;
  }

  .fullwidth-team .team-item {
    margin-bottom: 0;
  }

  .portfolio-wrap .portfolio-container .list-layout-item .inner-wrap .table-display:hover .links-container {
    top: 25%;
  }

  #header,
  #menu-primary {
    text-align: center;
  }

  .motoslider_wrapper .ms_pagination {
    display: none;
  }
  .motoslider_wrapper .ms_slide .caption {
    top: 72% !important;
  }

  #static-area-header-top {
    padding-bottom: 0;
  }

  #header .area_wrapper {
    padding-top: 10px;
  }

  #header * + .area_wrapper::before {
    bottom: 45px;
  }

  .cherry-counter {
    margin-top: 80px;
  }

  .well2 .container-fluid {
    padding-top: 150px;
  }

  .custom-services .cherry-services_item {
    padding: 50px 15px;
    border-bottom: 1px solid #ededed;
  }
  .custom-services .cherry-services_item:last-child {
    border: none;
  }

  .site-info {
    margin-bottom: 70px;
  }

  .fullwidth-post .team-item {
    margin-bottom: 0;
  }

  #static-area-header-top .widget {
    text-align: center;
  }
  #static-area-header-top .widget .textwidget {
    display: inline-block;
  }
  #static-area-header-top .static-social-follow {
    text-align: center;
  }
  #static-area-header-top .static-social-follow .cherry-follow_wrap {
    display: inline-block;
  }

  .site-tittle::before {
    top: 5px;
  }
}
@media (max-width: 850px) {
  .parallax-2 .cherry-swiper-carousel-container #swiper-carousel-1-next,
  .parallax-2 .cherry-swiper-carousel-container #swiper-carousel-1-prev {
    display: none;
  }
}
@media (max-width: 768px) {
  #menu-primary #menu-primary-items.mega-menu-mobile-on .cherry-mega-menu-sub.mega-sub {
    margin-top: 0 !important;
  }

  .comments .comment-respond form .comment-form-email,
  .comments .comment-respond form .comment-form-author,
  .comments .comment-respond form .comment-form-url {
    margin: 10px 0 0 !important;
    width: 100% !important;
    float: none;
  }

  .media_cnt {
    overflow: visible;
  }

  ol.comment-list li.comment div.vcard img.avatar {
    margin: 0 1em 0 0;
  }

  .comments-area .comment-list .reply {
    float: none;
    margin-top: 5px;
    display: block;
  }
  .comments-area .comment-list .reply .comment-reply-link {
    display: inline-block;
  }

  #header * + .area_wrapper::before {
    display: none;
  }

  .static-header-menu #menu-primary {
    display: block;
  }

  #header #static-area-header-top {
    display: none;
  }

  .fullwidth-team {
    text-align: center;
  }
  .fullwidth-team .team-listing {
    display: inline-block;
  }
  .fullwidth-team .team-item {
    width: auto;
    border-right: none;
    float: none;
  }

  .motoslider_wrapper .ms_slide .caption {
    top: 60% !important;
  }

  .fullwidth-post .post-item .content .post-excerpt {
    padding: 0 80px;
  }

  #footer {
    text-align: center;
  }
  #footer .site-info .right_aside, #footer .site-info h4 {
    float: none;
    display: inline-block;
  }
  #footer .sidebar-footer-2 dl dd, #footer .sidebar-footer-2 dl dt {
    float: none;
  }

  .portfolio-wrap .portfolio-container .portfolio-list {
    /* List layout */
  }
  .portfolio-wrap .portfolio-container .portfolio-list .portfolio-item.list-layout-item .inner-wrap .media-content, .portfolio-wrap .portfolio-container .portfolio-list .portfolio-item.list-layout-item .inner-wrap .item-content {
    width: auto;
    margin: 0;
  }
}
@media (max-width: 479px) {
  .info-list li {
    display: block;
  }
  .info-list li:before {
    display: none !important;
  }

  h2 {
    font-size: 32px !important;
    line-height: 38px !important;
  }

  .blog .entry-thumbnail.alignright,
  .blog .entry-thumbnail.alignleft {
    float: none;
    display: block;
    margin-left: 0;
    margin-right: 0;
    text-align: center;
  }
}
@media (max-width: 380px) {
  .fullwidth-post .post-item .content .post-excerpt {
    padding: 0 10px;
  }

  .comments-link {
    display: block;
  }

  .portfolio-wrap .portfolio-container .list-layout-item .inner-wrap .table-display .links-container {
    display: none;
  }
}
/* Megamenu responsive
================================================== */
@media (max-width: 992px) {
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub {
    padding: 30px;
    /* Post template "megamenu-posts" */
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub > li {
    padding: 40px 0 0;
    margin: 40px 0 0;
    float: none;
    width: auto;
    border-top: 1px solid #000;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub > li:before {
    display: none;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub > li:first-child {
    margin-top: 0;
    padding-top: 0;
    border: none;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub .megamenu-post-wrap {
    margin-bottom: 30px;
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub .megamenu-post-wrap .post-thumbnail {
    float: left;
    padding: 0 30px 15px 0;
  }
}
@media (max-width: 620px) {
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub {
    /* Post template "megamenu-posts" */
  }
  #menu-primary #menu-primary-items .cherry-mega-menu-sub.mega-sub .megamenu-post-wrap .post-thumbnail {
    float: none;
    padding: 0 0 15px 0;
  }
}
